Bug 141290 - Assertion failed in buffer.c
Assertion failed in buffer.c
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
2
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 23:12 EST by Chan Min Wai
Modified: 2014-01-21 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 15:51:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chan Min Wai 2004-11-29 23:12:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Facing the error below when connect to the imap server using
squirrelmail and is proven to be a imap problem.

ERROR : Connection dropped by imap-server.
Query: THREAD REFERENCES ISO-8859-1 ALL

http://www.dovecot.org/pipermail/dovecot/2004-September/004527.html

Proven in the dovecot Mailling list.

Version-Release number of selected component (if applicable):
dovecot-0.99.10.5-0.FC2

How reproducible:
Always

Steps to Reproduce:
It happen on something with "White space" in the Subject in the mail
message. However it is still an unknow.

Additional info:

http://www.dovecot.org/pipermail/dovecot/2004-September/004527.html
Comment 1 John Dennis 2005-01-06 14:01:01 EST
This is fixed in 0.99.11. I'll be posting a 0.99.11 update for FC2 
shortly. If I send you a pointer to the new rpm would you be willing 
to do a test install before I push it publically?
Comment 2 Chan Min Wai 2005-01-06 20:29:06 EST
Sure do,
You can send the files to dcmwai at ocesb dot com dot my

At the current time we are using the patch RPM :)
Comment 3 John Dennis 2005-01-10 14:06:56 EST
Actually the latest rev is 0.99.13, which should have the fix you're
looking for. I have rebuilt it for FC2, you can find a link to this
rpm in my private area.

ftp://people.redhat.com/jdennis/dovecot-0.99.13-1.FC2.i386.rpm

If you could try installing this and let me know your results I'd like
that before I push this out into the FC2 channel. FWIW, I built the
virually identical rpm for FC3 and tested it locally without problems. 
Comment 4 Matthew Miller 2005-04-26 11:48:01 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.